@use "sass:map";
@import '~@angular/material/theming';

$my-primary: map.get(mat-palette($mat-indigo, 700, 300, 900), 900);

:host{
    $cheatsheet-margin: 2rem;

    padding: 0 $cheatsheet-margin $cheatsheet-margin;
    display: block;
    border: 1px solid $my-primary;
    border-right: none;

    &:last-of-type {
        border-right: 1px solid $my-primary;
    }

    .cheatsheet-header{
        margin-left: -$cheatsheet-margin;
        margin-right: -$cheatsheet-margin;

        padding: 0 .5rem;

        color: #fff;
        background-color: $my-primary;
    }

    p {
        margin: 0;
    }
}